apiVersion: apps/v1
kind: Deployment
metadata:
  name: "rdv-africa-rdv-query-builder-test"
  namespace: "ub-digitale-dienste"
  labels:
    app: "rdv-query-builder"
    environment: "test"
spec:
  selector:
    matchLabels:
      app: "rdv-query-builder"
      environment: "test"
  replicas: 1
  template:
    metadata:
      labels:
        app: "rdv-query-builder"
        environment: "test"
        logging: "python"
      annotations:
        kubernetes.io/change-cause: "Deployment 3.11.2022"
    spec:
       #serviceAccountName: "{{ .Values.k8sName }}-{{ .Values.k8sEnvironment}}-service-account"
      containers:
        - name: "rdv-query-builder-test-container"
          image: "registry.gitlab.com/ub-unibas/rdv/services/rdv_query_builder:latest"
          envFrom:
            - secretRef:
                name: rdv
            - configMapRef:
                name: "rdv"
          ports:
            - containerPort: 5000
              name: http
              protocol: TCP
          imagePullPolicy: Always
          resources:
            requests:
              cpu: "0.2"
              memory: "128Mi"
            limits:
              cpu: "0.4"
              memory: "256Mi"
        - name: "redis"
          image: redis
          ports:
            - containerPort: 6379
              name: redis
              protocol: TCP
          resources:
            requests:
              cpu: "0.1"
              memory: "128Mi"
            limits:
              cpu: "0.2"
              memory: "256Mi"
